Debian Bug report logs - #542276
liferea blocks while running a feed update command

version graph

Package: liferea; Maintainer for liferea is David Michael Smith <sidicas2@gmail.com>; Source for liferea is src:liferea.

Reported by: Daniel Jacobowitz <dan@debian.org>

Date: Tue, 18 Aug 2009 19:24:02 UTC

Severity: normal

Found in version liferea/1.6.0-1

Fixed in version liferea/1.8.5-0.1

Done: bojo42 <bojo42@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#542276; Package liferea. (Tue, 18 Aug 2009 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
New Bug report received and forwarded. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Tue, 18 Aug 2009 19:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liferea blocks while running a feed update command
Date: Tue, 18 Aug 2009 15:20:35 -0400
Package: liferea
Version: 1.6.0-1
Severity: normal

I have a perl script which generates an RSS feed.  It takes quite a
while to run (30 seconds or so).  Liferea becomes unresponsive
whenever it is updating that feed; the UI does not even redraw if the
window is covered and uncovered.

The feed runs a command (the perl script), and then pipes it to a filter
(iconv -f iso-8859-1 -t utf-8) to accomodate dubious input RSS feeds.
I don't know if it's the command or the filter causing the problem.
This worked fine a couple releases of liferea ago.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages liferea depends on:
ii  gconf2                      2.26.2-3     GNOME configuration database syste
ii  libatk1.0-0                 1.26.0-1     The ATK accessibility toolkit
ii  libc6                       2.9-23       GNU C Library: Shared libraries
ii  libcairo2                   1.8.8-2      The Cairo 2D vector graphics libra
ii  libdbus-1-3                 1.2.16-2     simple interprocess messaging syst
ii  libdbus-glib-1-2            0.82-1       simple interprocess messaging syst
ii  libgconf2-4                 2.26.2-3     GNOME configuration database syste
ii  libglade2-0                 1:2.6.4-1    library to load .glade files at ru
ii  libglib2.0-0                2.20.4-1     The GLib library of C routines
ii  libgtk2.0-0                 2.16.5-1     The GTK+ graphical user interface 
ii  libice6                     2:1.0.5-1    X11 Inter-Client Exchange library
ii  liblua5.1-0                 5.1.4-3      Simple, extensible, embeddable pro
ii  libnm-glib0                 0.7.1-1      network management framework (GLib
ii  libnotify1 [libnotify1-gtk2 0.4.5-1      sends desktop notifications to a n
ii  libpango1.0-0               1.24.5-1     Layout and rendering of internatio
ii  libsm6                      2:1.1.0-2    X11 Session Management library
ii  libsoup2.4-1                2.27.4-1     an HTTP library implementation in 
ii  libsqlite3-0                3.6.16-1     SQLite 3 shared library
ii  libwebkit-1.0-2             1.1.12-1     Web content engine library for Gtk
ii  libx11-6                    2:1.2.2-1    X11 client-side library
ii  libxml2                     2.7.3.dfsg-2 GNOME XML library
ii  libxslt1.1                  1.1.24-2     XSLT processing library - runtime 
ii  liferea-data                1.6.0-1      architecture independent data for 

Versions of packages liferea recommends:
ii  curl                          7.19.5-1   Get a file from an HTTP, HTTPS or 
ii  dbus                          1.2.16-2   simple interprocess messaging syst
ii  dbus-x11                      1.2.16-2   simple interprocess messaging syst
ii  wget                          1.11.4-4   retrieves files from the web

Versions of packages liferea suggests:
pn  network-manager               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#542276; Package liferea. (Wed, 28 Mar 2012 18:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moray Allan <moray@sermisy.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Wed, 28 Mar 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 542276@bugs.debian.org (full text, mbox):

From: Moray Allan <moray@sermisy.org>
To: 542276-submitter@bugs.debian.org, 542276@bugs.debian.org
Subject: Re: liferea blocks while running a feed update command
Date: Wed, 28 Mar 2012 19:00:22 +0100
As of version 1.8.3, liferea is much less prone to locking up again.

Please check whether you still see lockups with the script that caused
them before, perhaps we can close this bug now.

Thanks,

-- 
Moray




Message sent on to Daniel Jacobowitz <dan@debian.org>:
Bug#542276. (Wed, 28 Mar 2012 18:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#542276; Package liferea. (Sat, 31 Mar 2012 14:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sat, 31 Mar 2012 14:00:08 GMT) Full text and rfc822 format available.

Message #18 received at 542276@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Moray Allan <moray@sermisy.org>, 542276-quiet@bugs.debian.org
Cc: 542276-submitter@bugs.debian.org, 542276@bugs.debian.org
Subject: Re: Bug#542276: liferea blocks while running a feed update command
Date: Sat, 31 Mar 2012 09:58:15 -0400
On Wed, Mar 28, 2012 at 2:00 PM, Moray Allan <moray@sermisy.org> wrote:
> As of version 1.8.3, liferea is much less prone to locking up again.
>
> Please check whether you still see lockups with the script that caused
> them before, perhaps we can close this bug now.

I don't use liferea any more, so I can't check this - sorry.

-- 
Thanks,
Daniel




Information stored :
Bug#542276; Package liferea. (Sat, 31 Mar 2012 14:00:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and filed, but not forwarded. (Sat, 31 Mar 2012 14:00:16 GMT) Full text and rfc822 format available.

Message sent on to Daniel Jacobowitz <dan@debian.org>:
Bug#542276. (Sat, 31 Mar 2012 14:00:18 GMT) Full text and rfc822 format available.

Reply sent to bojo42 <bojo42@gmail.com>:
You have taken responsibility. (Wed, 25 Apr 2012 19:51:08 GMT) Full text and rfc822 format available.

Notification sent to Daniel Jacobowitz <dan@debian.org>:
Bug acknowledged by developer. (Wed, 25 Apr 2012 19:51:08 GMT) Full text and rfc822 format available.

Message #31 received at 542276-close@bugs.debian.org (full text, mbox):

From: bojo42 <bojo42@gmail.com>
To: 542276-close@bugs.debian.org
Subject: Bug#542276: fixed in liferea 1.8.5-0.1
Date: Wed, 25 Apr 2012 19:49:13 +0000
Source: liferea
Source-Version: 1.8.5-0.1

We believe that the bug you reported is fixed in the latest version of
liferea, which is due to be installed in the Debian FTP archive:

liferea-data_1.8.5-0.1_all.deb
  to main/l/liferea/liferea-data_1.8.5-0.1_all.deb
liferea-dbg_1.8.5-0.1_amd64.deb
  to main/l/liferea/liferea-dbg_1.8.5-0.1_amd64.deb
liferea_1.8.5-0.1.debian.tar.gz
  to main/l/liferea/liferea_1.8.5-0.1.debian.tar.gz
liferea_1.8.5-0.1.dsc
  to main/l/liferea/liferea_1.8.5-0.1.dsc
liferea_1.8.5-0.1_amd64.deb
  to main/l/liferea/liferea_1.8.5-0.1_amd64.deb
liferea_1.8.5.orig.tar.gz
  to main/l/liferea/liferea_1.8.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542276@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
bojo42 <bojo42@gmail.com> (supplier of updated liferea package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 Apr 2012 11:04:06 +0200
Source: liferea
Binary: liferea liferea-data liferea-dbg
Architecture: source all amd64
Version: 1.8.5-0.1
Distribution: unstable
Urgency: low
Maintainer: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
Changed-By: bojo42 <bojo42@gmail.com>
Description: 
 liferea    - feed aggregator for GNOME
 liferea-data - architecture independent data for liferea
 liferea-dbg - liferea debug symbols
Closes: 542276 660602 667936
Changes: 
 liferea (1.8.5-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * New upstream release.
     - UI is responsive during updates in current releases (Closes: #542276)
     - Item pane reset issue got fixed in 1.8.4 (Closes: #660602)
     - Shows search folder in reduced view mode again (Closes: #667936)
Checksums-Sha1: 
 0f6910c3b4846078d6ebff5d0e7337685208f435 1704 liferea_1.8.5-0.1.dsc
 076cde160fff49a4b8c59fdae0571659ce8acd88 1864937 liferea_1.8.5.orig.tar.gz
 44d8b4e7255030d7a260ea3becbaed6c4be02e18 19365 liferea_1.8.5-0.1.debian.tar.gz
 956d6864d052cfa3fe86b9a1f170d869f39597e0 916034 liferea-data_1.8.5-0.1_all.deb
 21559d008ac454c216ef60520ac774ed3e3a9ed6 212658 liferea_1.8.5-0.1_amd64.deb
 84875228eb2350c687aafebff06111503fab2abe 579870 liferea-dbg_1.8.5-0.1_amd64.deb
Checksums-Sha256: 
 a0240e4ff0cf94b701c422e4f7daecf9fc7d7a536fae85d78465daf5b69121a6 1704 liferea_1.8.5-0.1.dsc
 d59ec17d3d10129d3c99fafb8a61aabdc06b610d578f05c01d7b7df0046e1fe8 1864937 liferea_1.8.5.orig.tar.gz
 066d128c3ccbbcea619dc48ce356e0b786b60b7f733623b5fc4a466b840962c2 19365 liferea_1.8.5-0.1.debian.tar.gz
 0b292dfbf19866ae8ca3cf6dbd78e846c1ff862a9a25168af37a7ca8a677d63f 916034 liferea-data_1.8.5-0.1_all.deb
 178cbe0786b744cd50eb48a0c5791bb93af0941352c4ac64bd49f54534f41610 212658 liferea_1.8.5-0.1_amd64.deb
 5b99c0e233595f5c0d8fe5f6efb68814a195e6a5e9f3d24121fbb5fc30ae98a7 579870 liferea-dbg_1.8.5-0.1_amd64.deb
Files: 
 2ffc9ac26679cfcb640a36e345d43563 1704 web optional liferea_1.8.5-0.1.dsc
 fd0e58fa742c21b47d6e62a2f6afc0df 1864937 web optional liferea_1.8.5.orig.tar.gz
 2913bb8184e6a2d6e222876f4ae041d7 19365 web optional liferea_1.8.5-0.1.debian.tar.gz
 99ac7e585f507366c5bef74fe77737a9 916034 web optional liferea-data_1.8.5-0.1_all.deb
 5a6631bdca4fbdb8b7a9e9bba764ccab 212658 web optional liferea_1.8.5-0.1_amd64.deb
 fa7ad97ac2cc95e7bbd0aac5508e861b 579870 debug extra liferea-dbg_1.8.5-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+PEYkACgkQ500puCvhbQHHyACfZ0eX15OXVOOkYXh3cbZM6FJL
KoYAn1U2pMxt40lyqVgtCuvpRy3jiMbJ
=qA2n
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jun 2012 07:41:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:50:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.